import request from '@/utils/request'

// // 登录
// export function login(data) {
// 	return request({
// 		url: '/api/login',
// 		method: 'post',
// 		data
// 	});
// }
// 注册
export function register(data) {
	return request({
		url: '/api/register',
		method: 'post',
		data
	});
}
// 验证码
export function verify(data) {
	// type=register为注册
	// type=login为登录
	return request({
		url: '/api/register/verify',
		method: 'post',
		data
	});
}

// 获取用户信息
export function getUserInfo(data) {
	return request({
		url: '/api/userinfo',
		method: 'get',
		data
	});
}

// 短信登录
export function loginMobile(data) {
	return request({
		url: '/api/login/mobile',
		method: 'post',
		data
	});
}
// #ifdef APP-PLUS
// 微信授权登录
export function loginWx(data) {
	return request({
		url: '/api/wechat/appauth',
		method: 'get',
		data
	});
}
// #endif
//绑定手机号
export function bangding(data) {
	return request({
		url: '/api/binding',
		method: 'POST',
		data
	});
}

//
export function gologin(data) {
	return request({
		url: '/api/Login/loginsubmit',
		method: 'get',
		data
	})
}

export function getYzm(data) {
	return request({
		url: '/api/Login/sendcode',
		method: 'get',
		data
	})
}
export function zc(data) {
	return request({
		url: '/api/Login/upregister',
		method: 'get',
		data
	})
}

export function getForget(data) {
	return request({
		url: '/api/Login/findsendcode',
		method: 'get',
		data
	})
}

//
export function resetpwd(data) {
	return request({
		url: '/api/Login/resetpwd',
		method: 'post',
		data
	})
}

export function getUser(data) {
	return request({
		url: '/api/user/userinfo',
		method: 'get',
		data
	})
}
export function loginout(data) {
	return request({
		url: '/api/Login/loginout',
		method: 'get',
		data
	})
}
//oldpwd newpwd
export function changepass(data) {
	return request({
		url: '/api/Index/sub_respwd',
		method: 'get',
		data
	})
}

export function upauthrz(data) {
	return request({
		url: '/api/User/upauthrz',
		method: 'get',
		data
	})
}